Page MenuHomePhabricator

cloudvps: butterfly project trusty deprecation
Closed, ResolvedPublic

Description

Ubuntu Trusty is no longer available in Cloud VPS since Nov 2017 for new instances. However, the EOL of Trusty is approaching in 2019 and we need to move to Debian Stretch before that date.

All instances in the butterfly project needs to upgrade as soon as possible.

The list of affected VMs is:

  • bf-wmpageview.butterfly.eqiad.wmflabs
  • butterfly-m4m.butterfly.eqiad.wmflabs

Listed administrator are:

More info in openstack browser: https://tools.wmflabs.org/openstack-browser/project/butterfly

Event Timeline

aborrero triaged this task as Medium priority.Sep 17 2018, 12:05 PM
aborrero created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2018, 12:05 PM

What's the upgrade process? I don't suppose one of us can just run apt-get upgrade or similar?

I'm not sure where "as soon as possible" is coming from in the task description. There's no real rush here, as far as I can tell.

What's the upgrade process? I don't suppose one of us can just run apt-get upgrade or similar?

From Ubuntu Trusty to Debian Jessie or Stretch? No. You should create new instances, transfer any data/services/etc. over and delete the now-unused old instances.

I'm not sure where "as soon as possible" is coming from in the task description. There's no real rush here, as far as I can tell.

Per https://wikitech.wikimedia.org/wiki/News/Trusty_deprecation#Cloud_VPS_projects the deadline is 2018-12-18.

Also, please assign this task to an individual.

Another ping. Deadline is approaching (2018-12-18).

Ping. Today is Friday and the deadline is Tuesday.

Mentioned in SAL (#wikimedia-cloud) [2018-12-18T01:07:30Z] <legoktm> deleted bf-wmpageview instance (T204496)

Legoktm claimed this task.Dec 18 2018, 2:20 AM

The bf-wmpageview instance was for testing the PageViewInfo extension, which is now deployed, so I've deleted it.

I dumped the database of butterfly-m4m (which was using labs-vagrant, wow!) and created a new butterfly-m4m2, accessible at https://m4m.wmflabs.org/wiki/Special:Version

@MZMcBride do you know if there was anything else on the old m4m that's worth keeping/copying over? Otherwise it's ready for deletion.

Mentioned in SAL (#wikimedia-cloud) [2018-12-18T02:21:18Z] <legoktm> copied mysql data out of butterfly-m4m and into the newly created butterfly-m4m2 (T204496)

I dumped the database of butterfly-m4m (which was using labs-vagrant, wow!) and created a new butterfly-m4m2, accessible at https://m4m.wmflabs.org/wiki/Special:Version

Thank you! It's nice to have a working wiki at that address.

@MZMcBride do you know if there was anything else on the old m4m that's worth keeping/copying over? Otherwise it's ready for deletion.

Blowing away the old m4m sounds fine to me.

Mentioned in SAL (#wikimedia-cloud) [2018-12-18T05:50:23Z] <legoktm> deleted butterfly-m4m instance (T204496)

Legoktm closed this task as Resolved.Dec 18 2018, 5:50 AM

All done, this project now just has one Debian Stretch instance.